Bug 154674

Summary: Build of editors/openoffice-3 3.0 fails
Product: Ports & Packages Reporter: Oleksii Krykun <kryol>
Component: Individual Port(s)Assignee: FreeBSD Office Team <office>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Oleksii Krykun 2011-02-11 08:10:02 UTC
During upgrade from OO 3.2.1 to 3.3.0 I get a
following error:

2 module(s):
        pyuno
        binfilter
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making
/usr/ports/editors/openoffice.org-3/work/OOO330_m20/pyuno/source/loader
ERROR: error 65280 occurred while making
/usr/ports/editors/openoffice.org-3/work/OOO330_m20/binfilter/util

Attention: if you fix the errors in above module(s) you may prolongue your
the build issuing command:

        build --from pyuno binfilter

*** Error code 1


I see in log:

for binfilter:

cd ../unxfbsdi.pro/lib && : &&
LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/lib/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/bin/regcomp -register -r ../bin/legacy_binfilters.rdb
-wop=vnd.sun.star.expand:\$OOO_BASE_DIR/program/ -c ./libbf_xofi.so -c
./libbf_swfi.so -c ./libbf_scfi.so -c ./libbf_sdfi.so -c ./libbf_smfi.so -c
./libbf_schfi.so -c ./libbf_frmfi.so -c ./libbf_svxfi.so -c ./libbf_svtfi.so
-c ./libbf_wrapperfi.so
./libbf_xofi.so
./libbf_swfi.so
./libbf_scfi.so
./libbf_sdfi.so
./libbf_smfi.so
./libbf_schfi.so
./libbf_frmfi.so
./libbf_svxfi.so
./libbf_svtfi.so
./libbf_wrapperfi.so
register component './libbf_xofi.so' in registry
'../bin/legacy_binfilters.rdb' failed!
error (CannotRegisterImplementationException): loading component library
failed: ./libbf_xofi.so
register component './libbf_swfi.so' in registry
'../bin/legacy_binfilters.rdb' failed!
error (CannotRegisterImplementationException): loading component library
failed: ./libbf_swfi.so
register component './libbf_scfi.so' in registry
'../bin/legacy_binfilters.rdb' failed!
error (CannotRegisterImplementationException): loading component library
failed: ./libbf_scfi.so
register component './libbf_sdfi.so' in registry
'../bin/legacy_binfilters.rdb' failed!
error (CannotRegisterImplementationException): loading component library
failed: ./libbf_sdfi.so
register component './libbf_smfi.so' in registry
'../bin/legacy_binfilters.rdb' failed!
error (CannotRegisterImplementationException): loading component library
failed: ./libbf_smfi.so
register component './libbf_schfi.so' in registry
'../bin/legacy_binfilters.rdb' failed!
error (CannotRegisterImplementationException): loading component library
failed: ./libbf_schfi.so
register component './libbf_frmfi.so' in registry
'../bin/legacy_binfilters.rdb' failed!
error (CannotRegisterImplementationException): loading component library
failed: ./libbf_frmfi.so
register component './libbf_svxfi.so' in registry
'../bin/legacy_binfilters.rdb' failed!
error (CannotRegisterImplementationException): loading component library
failed: ./libbf_svxfi.so
register component './libbf_svtfi.so' in registry
'../bin/legacy_binfilters.rdb' succesful!
register component './libbf_wrapperfi.so' in registry
'../bin/legacy_binfilters.rdb' failed!
error (CannotRegisterImplementationException): loading component library
failed: ./libbf_wrapperfi.so
dmake:  Error code 9, while making '../
unxfbsdi.pro/bin/legacy_binfilters.rdb'
dmake:  '../unxfbsdi.pro/bin/legacy_binfilters.rdb' removed.

for pyuno:

Making:    all_pythonloader.uno.dpslo
cat /usr/ports/editors/openoffice.org-3/work/OOO330_m20/solenv/src/version.c
| sed s/_version.h/pythonloader.uno_version.h/ > ../../
unxfbsdi.pro/misc/pythonloader.uno_version.c
Compiling: pyuno/unxfbsdi.pro/misc/pythonloader.uno_version.c
cc -fmessage-length=0 -c -Os -fno-strict-aliasing -DENABLE_LAYOUT=0
-DENABLE_LAYOUT_EXPERIMENTAL=0
-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/inc/python -I.
-I../../unxfbsdi.pro/inc/pythonloader.uno-I../inc -I../../inc/pch
-I../../inc -I../../unx/inc -I../../
unxfbsdi.pro/inc -I.
-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/incdont_use_stl-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/inc/external-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/inc-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solenv/unxfbsdi/inc
-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solenv/inc
-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/res
-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/incdont_use_stl-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solenv/inc/Xp31
-I/usr/local/diablo-jdk1.6.0/include
-I/usr/local/diablo-jdk1.6.0/include/freebsd
-I/usr/local/diablo-jdk1.6.0/include/bsd
-I/usr/local/diablo-jdk1.6.0/include/linux
-I/usr/local/diablo-jdk1.6.0/include/native_threads/include
-I/usr/local/include
-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/inc/offuh -I. -I../../res -I. -pipe -mtune=pentiumpro -g1 -Wall
-Wextra -Wendif-labels -fpic -DFREEBSD -DUNX -DVCL -DGCC -DC341 -DINTEL
-D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1
-DSTLPORT_VERSION=400 -DHAVE_GCC_VISIBILITY_FEATURE -DX86 -D__DMAKE -DUNIX
-DCPPU_ENV=gcc3 -DGXX_INCLUDE_PATH=/usr/include/c++/4.2 -DSUPD=330 -DPRODUCT
-DNDEBUG -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE -DCUI -DSOLAR_JAVA   -DSHAREDLIB
-D_DLL_   -o ../../unxfbsdi.pro/slo/pythonloader.uno_version.o ../../
unxfbsdi.pro/misc/pythonloader.uno_version.c
: &&
LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/lib/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/bin/makedepend @/tmp/mkvA2b2I > ../../
unxfbsdi.pro/misc/s_pythonloader.uno_version.dpcc
Compiling: pyuno/source/loader/pyuno_loader.cxx
c++  -fmessage-length=0 -c -Os -fno-strict-aliasing -DENABLE_LAYOUT=0
-DENABLE_LAYOUT_EXPERIMENTAL=0
-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/inc/python -I.
-I../../unxfbsdi.pro/inc/pythonloader.uno-I../inc -I../../inc/pch
-I../../inc -I../../unx/inc -I../../
unxfbsdi.pro/inc -I.
-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/inc/stl-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/inc/external-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/inc-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solenv/unxfbsdi/inc
-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solenv/inc
-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/res
-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/inc/stl-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solenv/inc/Xp31
-I/usr/local/diablo-jdk1.6.0/include
-I/usr/local/diablo-jdk1.6.0/include/freebsd
-I/usr/local/diablo-jdk1.6.0/include/bsd
-I/usr/local/diablo-jdk1.6.0/include/linux
-I/usr/local/diablo-jdk1.6.0/include/native_threads/include
-I/usr/local/include
-I/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/inc/offuh -I. -I../../res -I. -pipe -mtune=pentiumpro
-fvisibility-inlines-hidden -g1 -Wall -Wextra -Wendif-labels -Wshadow
-Wno-ctor-dtor-privacy     -Wno-non-virtual-dtor   -fpic -DFREEBSD -DUNX
-DVCL -DGCC -DC341 -DINTEL  -D_PTHREADS -D_REENTRANT -DNEW_SOLAR
-D_USE_NAMESPACE=1 -DSTLPORT_VERSION=400 -DHAVE_GCC_VISIBILITY_FEATURE -DX86
-D__DMAKE -DUNIX -DCPPU_ENV=gcc3 -DGXX_INCLUDE_PATH=/usr/include/c++/4.2
-DSUPD=330 -DPRODUCT -DNDEBUG -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE -DCUI
-DSOLAR_JAVA   -DSHAREDLIB -D_DLL_   -fexceptions -fno-enforce-eh-specs
-DEXCEPTIONS_ON  -o
./../unxfbsdi.pro/slo/pyuno_loader.o/usr/ports/editors/openoffice.org-3/work/OOO330_m20/pyuno/source/loader/pyuno_loader.cxx

: &&
LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/lib/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/bin/makedepend @/tmp/mk0hmdGu > ../../
unxfbsdi.pro/misc/s_pyuno_loader.dpcc
Making:    pythonloader.uno.lib
tr -d "\015" <
/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solenv/src/component.map
| awk -f
/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solenv/bin/addsym.awk >
./../unxfbsdi.pro/misc/component_pythonloader.uno.map
Making:    pythonloader.uno.so
c++ -Wl,-z,noexecstack -Wl,-z,combreloc -Wl,-zdynsort -Wl,-z,origin
-Wl,-rpath,'$ORIGIN:$ORIGIN/../ure-link/lib' -shared -Wl,-O1
-Wl,--version-script
./../unxfbsdi.pro/misc/component_pythonloader.uno.map-L../../
unxfbsdi.pro/lib -L../lib
-L/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solenv/unxfbsdi/lib
-L/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/lib-L/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solenv/unxfbsdi/lib
-L/usr/local/diablo-jdk1.6.0/lib -L/usr/local/diablo-jdk1.6.0/jre/lib/i386
-L/usr/local/diablo-jdk1.6.0/jre/lib/i386/client
-L/usr/local/diablo-jdk1.6.0/jre/lib/i386/native_threads -L/usr/local/lib
./../unxfbsdi.pro/slo/pythonloader.uno_version.o -o ../../
unxfbsdi.pro/lib/pythonloader.uno.so
./../unxfbsdi.pro/slo/pyuno_loader.o-luno_cppu -luno_cppuhelpergcc3
-luno_sal -lpyuno -lpython2.6
-Wl,--as-needed -pthread -lm -Wl,--no-as-needed -Wl,-Bdynamic -lstlport_gcc
rm -f ../../unxfbsdi.pro/lib/check_pythonloader.uno.so
mv ../../unxfbsdi.pro/lib/pythonloader.uno.so ../../
unxfbsdi.pro/lib/check_pythonloader.uno.so
/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solenv/bin/checkdll.sh
-L../../unxfbsdi.pro/lib-L/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/lib  ../../unxfbsdi.pro/lib/check_pythonloader.uno.so
Checking DLL ../../unxfbsdi.pro/lib/check_pythonloader.uno.so ...-rwxr-xr-x
1 root  wheel  44407 Feb  7 19:12 ../../unxfbsdi.pro/lib/pythonloader.uno.so
Making:    all_pythonloader.uno.dpslo
cp pythonloader.py ../../unxfbsdi.pro/lib/pythonloader.py
rm -f ../../unxfbsdi.pro/lib/pyuno_services.rdb ../../
unxfbsdi.pro/lib/pyuno_services.tmp ../../
unxfbsdi.pro/lib/pyuno_services.rdb
cd ../../unxfbsdi.pro/lib && : &&
LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/lib/usr/ports/editors/openoffice.org-3/work/OOO330_m20/solver/330/
unxfbsdi.pro/bin/regcomp -register -r pyuno_services.tmp -wop -c
stocservices.uno -c invocation.uno -c introspection.uno -c invocadapt.uno -c
proxyfac.uno -c reflection.uno -c ./pythonloader.uno
stocservices.uno
invocation.uno
introspection.uno
invocadapt.uno
proxyfac.uno
reflection.uno
./pythonloader.uno
register component 'stocservices.uno' in registry 'pyuno_services.tmp'
succesful!
register component 'invocation.uno' in registry 'pyuno_services.tmp'
succesful!
register component 'introspection.uno' in registry 'pyuno_services.tmp'
succesful!
register component 'invocadapt.uno' in registry 'pyuno_services.tmp'
succesful!
register component 'proxyfac.uno' in registry 'pyuno_services.tmp'
succesful!
register component 'reflection.uno' in registry 'pyuno_services.tmp'
succesful!
register component './pythonloader.uno' in registry 'pyuno_services.tmp'
failed!
error (CannotRegisterImplementationException): loading component library
failed: ./pythonloader.uno.so
dmake:  Error code 1, while making '../../
unxfbsdi.pro/lib/pyuno_services.rdb'

How-To-Repeat: Repeat portmaster
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-02-13 01:36:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Fix synopsis and assign.
Comment 2 Baptiste Daroussin freebsd_committer 2011-09-20 15:06:21 UTC
Responsible Changed
From-To: openoffice->office

Over to new maintainer
Comment 3 Pedro F. Giffuni freebsd_committer 2014-04-30 23:22:09 UTC
State Changed
From-To: open->closed

openoffice-3 is not available anymore. 
All efforts are focused on openoffice-4 now.